package com.inspect.metadata.patrolpointmnt.mapper;

import com.inspect.metadata.patrolpointmnt.domain.BasedataStdPatrolPoint;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataStdPatrolPointMapper {
    BasedataStdPatrolPoint selectBasedataStdPatrolPointByStdPatrolPointId(Long patrolPointId);

    List<BasedataStdPatrolPoint> selectBasedataStdPatrolPointList(BasedataStdPatrolPoint patrolPoint);

    int insertBasedataStdPatrolPoint(BasedataStdPatrolPoint patrolPoint);

    int updateBasedataStdPatrolPoint(BasedataStdPatrolPoint patrolPoint);

    int deleteBasedataStdPatrolPointByStdPatrolPointId(Long patrolPointId);

    int deleteBasedataStdPatrolPointByStdPatrolPointIds(Long[] patrolPointIds);
}
